﻿namespace ConfigFileManager.ViewModels;

public partial class ConfigFileManagerViewModel : ObservableObject
{
    public ConfigFileManagerViewModel(DeviceCollection deviceCollection, IDialogService dialogService)
    {
        this.DeviceCollection = deviceCollection;
        _DialogService = dialogService;
    }

    private readonly IDialogService _DialogService;

    [ObservableProperty]
    private DeviceCollection _DeviceCollection;


    [RelayCommand]
    private void Migrate(DeviceInfo_VM deviceInfo)
    {
        IDialogParameters para = new DialogParameters()
        {
            {"Device",deviceInfo }
        };
        this._DialogService.ShowDialog("Migrate", para);
    }

    [RelayCommand]
    private async Task Update(DeviceInfo_VM deviceInfo)
    {
        deviceInfo.ConfigUpdating = true;

        await Task.Delay(5000);

        deviceInfo.ConfigUpdating = false;
        deviceInfo.UpdateTime = DateTime.Now;
    }


    [RelayCommand]
    private void CheckRecipe(DeviceInfo_VM deviceInfo)
    {
        IDialogParameters para = new DialogParameters()
        {
            {"Device",deviceInfo }
        };
        this._DialogService.ShowDialog("Recipe", para);
    }

    [RelayCommand]
    private void CheckConfig(DeviceInfo_VM deviceInfo)
    {
        IDialogParameters para = new DialogParameters()
        {
            {"Device",deviceInfo }
        };
        this._DialogService.ShowDialog("Config", para);
    }
}
